CSPLIT(1)

BEZEICHNUNG
csplit - Eine Datei anhand von Kontextzeilen in mehrere Teile teilen

ÜBERSICHT
csplit [OPTION]… DATEI MUSTER…

BESCHREIBUNG

Teile der DATEI getrennt durch (ein oder mehrere) MUSTER in die Dateien »xx00«, »xx01«, … ausgeben und die Anzahl der Bytes für jedes Teil auf der Standardausgabe anzeigen.

Standardeingabe lesen, wenn DATEI »-« ist

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-b, --suffix-format=FORMAT
    sprintf‐FORMAT anstelle von %02d benutzen

-f, --prefix=PRÄFIX
    PRÄFIX anstelle von »xx« benutzen

-k, --keep-files
    Ausgabedateien bei Fehlern nicht löschen

--suppress-matched
    Die Zeilen unterdrücken, die dem MUSTER entsprechen

-n, --digits=ZIFFERN
    Angegebene Anzahl ZIFFERN anstelle von 2 benutzen

-s, --quiet, --silent
    Anzahl der Ausgabedateigrößen nicht ausgeben

-z, --elide-empty-files
    Leere Ausgabedateien löschen

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

  Jedes MUSTER kann sein:

GANZZAHL
    Bis zur angegebenen Zeilennummer kopieren (ohne die angegebene Zeile)

/REGEXP/[VERSATZ]
    Bis zur passenden Zeile kopieren (ohne die angegebene Zeile)

%REGEXP%[VERSATZ]
    Bis zur passsenden Zeile überspringen (ohne die angegebene Zeile)

{GANZZAHL}
    Das vorherige Muster so oft wie angegeben wiederholen

{*} Das vorherige Muster so oft wie möglich wiederholen

Ein Zeilen-VERSATZ erfordert ein »+« oder »-«, gefolgt von einer positiven ganzen Zahl.

AUTOR
Geschrieben von Stuart Kemp und David MacKenzie.

FEHLER BERICHTEN
Onlinehilfe für GNU coreutils: <http://www.gnu.org/software/coreutils/>
Berichten Sie Fehler in der Übersetzung von csplit an <http://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2017 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Vollständige Dokumentation unter: <http://www.gnu.org/software/coreutils/csplit>
oder lokal verfügbar mit: info '(coreutils) csplit invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org>, Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.